<ion-header class="ion-no-border">
  <ion-icon name="close-outline" class="ion-float-right" style="padding: .5rem;" (click)="dismiss()"></ion-icon>
</ion-header>



<!-- <ion-input></ion-input> -->
<ion-content class="ion-text-center ion-padding-horizontal" style="--overflow: hidden;">

  <div class="popup-info">
    <h3>OTP</h3>

    <p class="ion-margin-bottom">Enter 4 digit verification number sent to your mobile number</p>
    <div id="divOuter">
      <div id="divInner">
        <ion-input type="number" id="partitioned" (ionChange)="onchangeotp($event)" maxlength="4" [(ngModel)]="otpNumber"></ion-input>
      </div>
    </div>


    <div class="count-time ion-margin-top">Resend code in <span id="time"></span> sec</div>

    <ion-button class="btn-style ion-margin-top" color="warning" (click)="onSubmitOTP()">Submit</ion-button>
    <div class="code"    [class.disabled]="!resend" id="resend" (click)="onResendOTP()">Resend</div>
  </div>
  <!-- <ion-item>
    <ion-label position="fixed">Fixed Label</ion-label>
    <ion-input  [(ngModel)]="otpNumber" ></ion-input>
  </ion-item> -->



</ion-content>